#Moin from VSCode

# FROM python:3.13-slim
# RUN apt-get update && apt-get install -y \
#     git \
#     curl \
#     wget \
#     && rm -rf /var/lib/apt/lists/*


FROM python:3.13-alpine
RUN apk add --no-cache \
    git \
    curl \
    wget \
    bash \
    build-base \
    linux-headers \
    # Fish Shell hinzufügen
    fish

# mpremote Symlink in postCreateCommand erstellen
# Oder direkt in der Dockerfile:
RUN pip install mpremote && \
    ln -sf /usr/local/bin/mpremote /usr/bin/mpremote || true    

# # Optional: Benutzer erstellen
RUN adduser -D -s /bin/bash vscode
USER vscode

WORKDIR /workspace

# Standard Shell auf Fish setzen (optional)
SHELL ["/usr/bin/fish", "-c"]